org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ValueMapTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ValueMapTest

- Direct Known Subclasses:
    ValueMapTest.Traversals

      public abstract class ValueMapTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValueMapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueMapTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX()` TINKERPOP-1483
    `void` | `g_V_valueMap()`
    `void` | `g_V_valueMapXname_ageX()`
    `void` | `g_V_valueMapXtrue_name_ageX()`
    `void` | `g_V_valueMapXtrueX()`
    `void` | `g_VX1X_outXcreatedX_valueMap()`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX()`
    `abstract Traversal<Vertex,Map<String,List>>` | `get_g_V_valueMap()`
    `abstract Traversal<Vertex,Map<String,List>>` | `get_g_V_valueMapXname_ageX()`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXtrue_name_ageX()`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXtrueX()`
    `abstract Traversal<Vertex,Map<String,List<String>>>` | `get_g_VX1X_outXcreatedX_valueMap(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueMapTest

          public ValueMapTest()

  - ### Method Detail

    - #### get_g_V_valueMap

          public abstract Traversal<Vertex,Map<String,List>> get_g_V_valueMap()

    - #### get_g_V_valueMapXtrueX

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXtrueX()

    - #### get_g_V_valueMapXname_ageX

          public abstract Traversal<Vertex,Map<String,List>> get_g_V_valueMapXname_ageX()

    - #### get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX()

    - #### get_g_V_valueMapXtrue_name_ageX

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXtrue_name_ageX()

    - #### get_g_VX1X_outXcreatedX_valueMap

          public abstract Traversal<Vertex,Map<String,List<String>>> get_g_VX1X_outXcreatedX_valueMap(Object v1Id)

    - #### g_V_valueMap

          public void g_V_valueMap()

    - #### g_V_valueMapXtrueX

          public void g_V_valueMapXtrueX()

    - #### g_V_valueMapXname_ageX

          public void g_V_valueMapXname_ageX()

    - #### g_V_valueMapXtrue_name_ageX

          public void g_V_valueMapXtrue_name_ageX()

    - #### g_VX1X_outXcreatedX_valueMap

          public void g_VX1X_outXcreatedX_valueMap()

    - #### g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX

          public void g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMapXtrueX()

      TINKERPOP-1483

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.